//Adrián Torres
//Fab Academy 2020
//Fab Lab León

import processing.serial.*;
float val;     
Serial myPort;
float size;

 
void setup() {
  size(500, 500); //tamaño de cuadro
  println(Serial.list()); //mostramos en la pantalla los valores del serial
  myPort = new Serial(this,"COM7", 115200); //puerto serial
  myPort.bufferUntil('\n');
  background(127,255,127); //color de fondo
  //frameRate(10); //velocidad de captura de datos 10 frame por segundo
}

void draw() { 
  size = map(val, 0, 1024, 0, 200); //tamaño mapeado.
  noStroke();
  fill(random(255),random(255),random(255)); //relleno de las esferas random
  ellipse(random(width), random(height), size, size); //lugar y tamaño de la esfera
 
  fill(0); //color del texto
  text(val, width, height); // valor de la medida

}

void serialEvent(Serial myPort) {
  String inString = myPort.readStringUntil('\n');
  if (inString != null) {
    inString = trim(inString);
    float[] values = float(split(inString, ","));
    if (values.length >=1) {
      val = values[0];
    }
  }
}
